Name:           python-pydantic
Version:        1.10.2
Release:    1%{?dist}
Summary:        Data validation using Python type hinting

License:        MIT
URL:            https://github.com/samuelcolvin/pydantic
Source0:        https://github.com/samuelcolvin/pydantic/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-mypy
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)

%description
Data validation and settings management using python type hinting.

%package -n     python3-pydantic
Summary:        %{summary}
%{?python_provide:%python_provide python3-pydantic}
 
Requires:       python3-email-validator >= 1.0.3
Requires:       python3-ujson >= 1.35

%description -n python3-pydantic
Data validation and settings management using python type hinting.

%prep
%autosetup -n pydantic-%{version}
rm -rf pydantic.egg-info

%build
%py3_build


%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-pydantic
%license LICENSE
%doc README.md docs/
%{python3_sitelib}/pydantic
%{python3_sitelib}/pydantic-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.2-1
- initial build
